package cn.com.ctop.kuaishou.modules.ai.service;

import cn.com.ctop.kuaishou.modules.ai.entity.AiKuaishouAdvertiserStrategy;
import cn.com.ctop.kuaishou.modules.ai.entity.KuaishouProjectStrategy;

import java.text.ParseException;

public interface IAiKuaishouProjectCreateCreativeService {

    void customCreativeSupplement(KuaishouProjectStrategy strategy, Integer hour) throws ParseException;

    void projectAutomaticCreates(KuaishouProjectStrategy strategy);

    void projectAutomaticCreates(KuaishouProjectStrategy strategy,Integer operationType);
    // 组创建是否超限
    Boolean getUnitOverrun(String keyx);

    void projectProgramAutomaticCreates(KuaishouProjectStrategy strategy,Integer type);
}
